#include "Xfred.h"

int initx(d,screen,depth,gc)
Display **d;
int *screen;
int *depth;
GC *gc;
{
    Display *display;
    display = XOpenDisplay(NULL);
    if (display == NULL) {
        fprintf(stderr, "Cannot make connection to the X server %s\n",
            XDisplayName(NULL));
        return(0);
    }

    *screen = DefaultScreen( display );
    *depth = DefaultDepth( display, *screen );
    *gc = XCreateGC( display, RootWindow(display, *screen), 
        (unsigned long) 0, NULL);
    /*XSetGraphicsExposures(*display, *gc, False);*/
    if (*gc == NULL) {
        fprintf(stderr,"Could not create graphics context.\n");
        return(0);
    }
    *d = display;
    return(1);
}
